Subject: Re: [PATCH v2] blame: report correct number of lines in progress when using ranges

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Apr 2022 08:14:42 -0700

Philip Oakley <[email-masked]> writes:

> On 05/04/2022 08:34, Bagas Sanjaya wrote:
>> On 05/04/22 01.21, Edmundo Carmona Antoranz wrote:
>>> When using ranges, use their sizes as the limit for progress
>>> instead of the size of the full file.
>>
>> The progress limit is defined by number of affected lines, right?
>
> I'd also wondered about 'their', thinking it was 'the files', rather
> than 'the ranges' [within those files].
>
> perhaps: s/their/range/

I actually think that it is obvious that "their" refers to the
ranges and not the file.  Between "the ranges" and "the file", only
the former is plural that "their" could possibly refer to.  Also,
"instead ... the full file" makes the sentence nonsensical if it
referred to the "file"---"we must use the number of lines in the
file, instead of the number of lines in the file" simply would not
make much sense.

But I do not object to being more explicit.

> "When using ranges, use the range sizes as the limit for progress' ..